window.Gleam.initSearch([{"doc":"gloml","title":"gloml","content":"# gloml\n\n[![Package Version](https://img.shields.io/hexpm/v/gloml)](https://hex.pm/packages/gloml)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gloml/)\n\nA toml parsing library for gleam ✨ `gloml` supports all `gleam` targets and runtimes.\n\n*Timestamps are not currently supported.*\n\n```gleam\nimport gleam/io\n\npub fn main() {\n  decode(\n    &quot;\n[my-project]\nversion = \\&quot;1.2.3\\&quot;\n&quot;,\n    d.field(&quot;my-project&quot;, d.field(&quot;version&quot;, d.string)),\n  )\n  |&gt; io.println()\n}\n```\n\n## Quick start\n\n```sh\ncd priv; npm install; cd .. # install dependencies for js\ngleam test  # Run the tests\n```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add gloml\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/gloml&gt;.\n","url":"index.html"},{"doc":"gloml","title":"DecodeError","content":"pub type DecodeError {\n  InvalidTomlError(String)\n  UnexpectedFormat(List(dyn.DecodeError))\n}\n\nInvalidTomlError(String)\n\n\nUnexpectedFormat(List(dyn.DecodeError))\n\n\nSynonyms:\ngloml.DecodeError\ngloml DecodeError","url":"gloml.html#DecodeError"},{"doc":"gloml","title":"decode","content":"pub fn decode(from toml_string: String, using decoder: fn(Dynamic) -&gt;\n    Result(a, List(DecodeError))) -&gt; Result(a, gloml.DecodeError)\n Parse a toml file with a decoder.\n\npub fn decode_toml() {\n   let version =\n     gloml.decode(&quot;\n   [my-project]\n   version = \\&quot;1.2.3\\&quot;\n   &quot;,\n     d.field(&quot;my-project&quot;, d.field(&quot;version&quot;, d.string)),\n   )\n   should.equal(version, Ok(&quot;1.2.3&quot;))\n }\n\nSynonyms:\ngloml.decode\ngloml decode","url":"gloml.html#decode"},{"doc":"gloml","title":"decode_dynamic","content":"pub fn decode_dynamic(toml_string: String) -&gt; Result(\n  Dynamic,\n  DecodeError,\n)\n Parse a toml file into a `gleam/dynamic.Dynamic`.\n\n pub fn decode_toml() {\n   let dynamic =\n     gloml.decode(&quot;\n   [my-project]\n   version = \\&quot;1.2.3\\&quot;\n   &quot;)\n }\n\nSynonyms:\ngloml.decode_dynamic\ngloml decode_dynamic","url":"gloml.html#decode_dynamic"},{"doc":"gloml","title":"gloml","content":"","url":"gloml.html"}]);